Bug 1777730 - hammer settings content_default_http_proxy does not have validation for provided values
Summary: hammer settings content_default_http_proxy does not have validation for prov...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API - Content
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Oleh Fedorenko
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1774324
TreeView+ depends on / blocked
 
Reported: 2019-11-28 08:09 UTC by vijsingh
Modified: 2019-12-23 06:49 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28386 Normal Closed hammer settings content_default_http_proxy does not have validation for provided values 2019-12-23 06:41:22 UTC

Description vijsingh 2019-11-28 08:09:39 UTC
Description of problem:

hammer setting content_default_http_proxy  does not have validation for provided values

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 3,0

How reproducible:

Always

Steps to Reproduce:
1. Set settings as below:
 
[root@hp-dl180-04 ~]# hammer settings set --name content_default_http_proxy --value xyz
Setting [content_default_http_proxy] updated to [xyz].

[root@hp-dl180-04 ~]# hammer settings list |grep -i content_default_http_proxy
content_default_http_proxy                             | Default http proxy                                          | xyz                                                                              | Default HTTP Proxy for syncing content                                          
[root@hp-dl180-04 ~]# 

2. No check on UI for same setting , the value filed shows empty.

 Administer => Settings => Content => 'Default HTTP Proxy'

Actual results:

 Any value could pass with '--value'

Expected results:

 It should only set the setting if provided value is correct (i.e. already created proxy name)

Additional info:

Comment 3 vijsingh 2019-11-28 08:12:21 UTC
s/no/now

2. Now check on UI for same setting , the value filed shows empty.

 Administer => Settings => Content => 'Default HTTP Proxy'

Comment 4 Oleh Fedorenko 2019-11-29 15:37:59 UTC
I'd say that the problem is not on the hammer side. There is no validation on the server side if I use API call that is hidden under hammer command directly as well. I'd suggest to add a specific validation for content_default_http_proxy setting.

Comment 5 Oleh Fedorenko 2019-11-29 15:43:58 UTC
Created redmine issue https://projects.theforeman.org/issues/28386 from this bug

Comment 6 Bryan Kearney 2019-12-05 21:05:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28386 has been resolved.

Comment 8 vijsingh 2019-12-23 06:49:04 UTC
ON_QA Verified

@Satellite 6.7.0 snap 7.0

Steps/Observation:
 - Unable to update invalid value
 - Able to pass '' for no_proxy
 - Able to update only specific/valid proxy

___________________________________________________________________________________________________________________
[root@qe-sat6-bm1 ~]# hammer settings set --name content_default_http_proxy --value xyz
Could not update the setting:
  There is no such HTTP Proxy

[root@qe-sat6-bm1 ~]# hammer settings set --name content_default_http_proxy --value ''
Setting [content_default_http_proxy] updated to [].
[root@qe-sat6-bm1 ~]# hammer settings list |grep -i content_default_http_proxy
content_default_http_proxy                             | Default http proxy                                          |                                                                                  | Default HTTP Proxy for syncing content                                          

[root@qe-sat6-bm1 ~]# hammer settings set --name content_default_http_proxy --value Proxy1
Setting [content_default_http_proxy] updated to [Proxy1].
[root@qe-sat6-bm1 ~]# hammer settings list |grep -i content_default_http_proxy
content_default_http_proxy                             | Default http proxy                                          | Proxy1                                                                           | Default HTTP Proxy for syncing content                                          
[root@qe-sat6-bm1 ~]# 
___________________________________________________________________________________________________________________


Note You need to log in before you can comment on or make changes to this bug.